Bug 243826 - math/wxmaxima: Update to 20.02.1
Summary: math/wxmaxima: Update to 20.02.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Lorenzo Salvadore
URL: https://github.com/wxMaxima-developer...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-02 23:33 UTC by Lorenzo Salvadore
Modified: 2020-02-23 21:39 UTC (History)
1 user (show)

See Also:


Attachments
wxmaxima 20.02.0 (994 bytes, patch)
2020-02-02 23:33 UTC, Lorenzo Salvadore
salvadore: maintainer-approval+
Details | Diff
wxmaxima 20.02.1 (1.39 KB, patch)
2020-02-20 15:33 UTC, Lorenzo Salvadore
salvadore: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore freebsd_committer 2020-02-02 23:33:20 UTC
Created attachment 211307 [details]
wxmaxima 20.02.0

Update to 20.02.0.

Changelogs: https://github.com/wxMaxima-developers/wxmaxima/releases

Tested successfully with poudriere on {11.3,12.1}-RELEASE {i386,amd64}.
Comment 1 Automation User 2020-02-03 08:14:34 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/114356825
Comment 2 Lorenzo Salvadore freebsd_committer 2020-02-16 10:49:09 UTC
I propose the following commit log (keep in mind however that wxmaxima has been updated again and I am preparing the new patch):

Update to 20.02.0:

   * Add another small tutorial
   * Symbols sidebar: Correctly remember additional symbols
   * Unicode chars can now be input using the alt+x method
   * Add a unicode sidebar that isn't shown by default as it starts up slow
   * Many corrections to the display routines
Comment 3 Gerald Pfeifer freebsd_committer 2020-02-18 09:42:03 UTC
I'll take this.
Comment 4 Lorenzo Salvadore freebsd_committer 2020-02-20 15:33:24 UTC
Created attachment 211774 [details]
wxmaxima 20.02.1

New patch is ready.
Tested successfully with poudriere on {11.3,12.1}-RELEASE {i386,amd64}.

Update from 20.01.3 to 20.02.1:

   - Add another small tutorial
   - Symbols sidebar: Correctly remember additional symbols
   - Unicode chars can now be input using the alt+x method
   - Add a unicode sidebar that isn't shown by default as it starts up slow
   - Many corrections to the display routines
   - Better scroll wheel support
   - A Russian translation update by OlesyaGerasimenko
   - It was possible that a part of a fraction wasn't displayed
   - Several additional bug fixes
Comment 5 Gerald Pfeifer freebsd_committer 2020-02-20 23:48:13 UTC
(In reply to Gerald Pfeifer from comment #3)
> I'll take this.

Let's put this on the table of Lorenzo, our newest ports committer,
who I happen to mentor. :-D
Comment 6 Lorenzo Salvadore freebsd_committer 2020-02-23 21:39:50 UTC
Committed, forgetting to reference the PR in the commit, so I copy paste it below from here: https://svnweb.freebsd.org/ports?view=revision&revision=526919

(Sorry mentor.)

Update math/wxmaxima from 20.01.3 to 20.02.1

- Add another small tutorial.
- Symbols sidebar: correctly remember additional symbols.
- Unicode chars can now be input using the alt+x method.
- Add a unicode sidebard that isn't shown by default as it starts up slowly.
- Many corrections to the display routine.
- Better scroll wheel support.
- Russian translation update.
- Fix a bug causing part of a fraction not to be displayed.
- Several additional bug fixes.

Approved by:	gerald (mentor)